#
# Copyright (C) 2016 The Android Open-Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

#
# The following are the U-Boot configurations that are required for all builds.
# These cannot be overridden in the board.
#

CONFIG_AUTOBOOT=y

# Add support for Android Images.
CONFIG_ANDROID_BOOT_IMAGE=y

# Support for Android Bootloader is required.
CONFIG_ANDROID_BOOTLOADER=y
CONFIG_CMD_BOOT_ANDROID=y

# Support for selecting the A/B slot.
CONFIG_ANDROID_AB=y

# FIXME: Turn off A/B select until we update the device project for A/B
#        and figure out an efficient partitioing scheme
#CONFIG_CMD_AB_SELECT=y

# Fastboot and Android image support should be enabled.
CONFIG_FASTBOOT=y
CONFIG_CMD_FASTBOOT=y
